
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #711

Support HTTPS and redirect to it by default

March 15, 2017 18:41 - Thomas Lange

Status: Closed Start date: March 15, 2017

Priority: Minor Due date:  

Assignee: Michał Lipski % Done: 100%

Category: website Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Recent browser versions of Firefox [1] and Chrome show a warning in login pages with an insecure connection.

And since Let's Encrypt [2] provides free TLS certificates, there is no excuse for not supporting HTTPS.

[1] https://support.mozilla.org/t5/Protect-your-privacy/Insecure-password-warning-in-Firefox/ta-p/27861

[2] https://letsencrypt.org/

History

#1 - January 05, 2018 09:16 - David Griffith

This is my favorite client for getting and maintaining certificates: https://github.com/srvrco/getssl

It's very easy to use, has no dependencies (written in bash), and is very lightweight.

#2 - January 22, 2018 10:43 - Michał Lipski

- % Done changed from 0 to 100

- Status changed from New to Resolved

All Audacious' websites force HTTPS connection.

#3 - January 22, 2018 18:44 - Thomas Lange

Thank you Michał.

#4 - February 28, 2018 15:10 - Michał Lipski

- Status changed from Resolved to Closed
